/*
 * Copyright (c) 2017 and Confidential to Pegasystems Inc. All rights reserved.
 */

(function() {
    // Phone number validator plugin can be used using PhoneValidator.isPossibleNumber() method.
    // Parameters of this method are as follows:
    //   phoneNumber - String containing a number user is about to check for validity
    //   locale - user locale against which phone number is validated
    //   callback - function called with a result of validation
    window.PhoneValidator = {
        isPossibleNumber: function(phoneNumber, locale, callback) {
            var dataWrapper = {
                "phoneNumber": phoneNumber,
                "locale": locale
            };

            var callbackWrapper = {
                "onSuccess": callback
            };

            bridge.call('PhoneValidator', 'isPhoneNumberAvailable', dataWrapper, callbackWrapper);
        }
    };
})();