/*
 * Copyright (c) 2017 and Confidential to Pegasystems Inc. All rights reserved.
 */

package com.pega.phonevalidator;

import android.webkit.JavascriptInterface;

import com.google.i18n.phonenumbers.PhoneNumberUtil;
import com.pega.mobile.plugin.*;

import java.util.Map;

@JavaScriptPluginImpl
public class PhoneValidatorPlugin extends JavaScriptPlugin {
    private JavaScriptPluginContext context;


    @Override
    public String getName() {
        return "PhoneValidator";
    }

    public PhoneValidatorPlugin(JavaScriptPluginContext context) {
        super(context);
        this.context = context;
    }

    @Override
    public void appendJavascript(final JavaScriptAppender assetLoader) {
        assetLoader.appendFile("phoneValidator.js");
    }

    @JavascriptInterface
    public void isPhoneNumberAvailable(Object data, JavaScriptCallback callback){
        Map<String, String> payload = (Map<String, String>) data;
        String phoneNumber = payload.get("phoneNumber");
        String locale = payload.get("locale");

        boolean result = PhoneNumberUtil.getInstance().isPossibleNumber(phoneNumber, locale);

        callback.call("onSuccess", result);
    }
}